locked
Hyper-V LIS installation into Centos 7.6, same as MS LIS 4.2.8? RRS feed

  • Question

  • I just started to learn installing Centos into Hyper-v (Windows 10) and found it is installed with hyper-v LIS by default. I issued "yum install hyperv-daemons' and the respond it is already the latest version. Then I download the latest version of LIS 4.2.8 from MS site and the document state that to check, issue '/sbin/modinfo hv_vmbus' and the output should show 'version 4.2.8'.

    But it show;

    filename:       /lib/modules/3.10.0-957.1.3.el7.x86_64/kernel/drivers/hv/hv_vmbus.ko.xz
    license:        GPL
    retpoline:      Y
    rhelversion:    7.6
    srcversion:     2899208793654F2260111F6
    alias:          acpi*:VMBus:*
    alias:          acpi*:VMBUS:*
    depends:
    intree:         Y
    vermagic:       3.10.0-957.1.3.el7.x86_64 SMP mod_unload modversions
    signer:         CentOS Linux kernel signing key
    sig_key:        E7:CE:F3:61:3A:9B:8B:D0:12:FA:E7:49:82:72:15:9B:B1:87:9C:65
    sig_hashalgo:   sha256

    Questions; is the Centos LIS in the repository same as Microsoft site, but of difference version? Or there they are not the same software (doing the same thing, and only one copy can be used)?

    If they are difference software, why? I find it hard to figure, why would 2 or more groups write difference "same" integration agent..  I used VMware and VirtualBox before, and have not encounter something like Microsoft, Redhat or other developing integration agent for Windows to work with them.

    Thanks!


    • Edited by WhackyWakie Wednesday, January 30, 2019 1:11 PM Reword to make it clear..
    Thursday, January 24, 2019 4:46 PM

All replies

  • i Second this
    Thursday, June 6, 2019 3:01 PM
  • hyperv-daemons package provided by CentOS/RedHat represent only the LIS daemons part, and not the kernel modules.

    If you want to install LIS 4.2.8 or the latest version, please first uninstall hyperv-daemons, as those will be installed to match the LIS 4.2.8 version from the RPMs.

    After installing LIS RPMs, please also reboot the VM in order to load the new kernel modules.

    Wednesday, June 12, 2019 2:37 PM
  • Thanks Chris.

    I think I will let it be, since LIS daemon are provide by MS (doubt other group will develop it). Unless there is a need to use LIS 4.2.8.. Wonder why Centos don't just put LIS 4.2.8..

    Wednesday, January 15, 2020 4:40 AM